import { useRef, useState, useEffect } from 'react';

export default () => {
  const self = useRef();
  const [observed, setObserved] = useState(false);

  useEffect(() => {
    if (!observed) {
      let options = {
        rootMargin: '0px',
        threshold: 1.0,
      };

      let tm;
      const cb = entries => {
        const entry = entries[0];
        if (entry.isIntersecting) {
          tm = setTimeout(() => {
            setObserved(true);
          }, 1000);
        }
        if (!entry.isIntersecting && !!tm) {
          clearTimeout(tm);
        }
      };

      let observer = new IntersectionObserver(cb, options);

      if (self.current) {
        observer.observe(self.current);
      }

      return () => {
        observer.disconnect();
      };
    }
  }, [observed, self.current]);

  return [self, observed];
};
