import { useState, useCallback, useEffect } from 'react';
import randomstring from 'randomstring';

export default type => {
  const [id, setId] = useState(null);

  const mountAd = useCallback(() => {
    if (id && window.generateCustomAds) {
      window.generateCustomAds(`#${id}`, type);
      return true;
    } else {
      return false;
    }
  }, [id, type]);

  useEffect(() => {
    const idNum = randomstring.generate({
      length: 12,
      charset: 'alphabetic',
    });

    setId(`ad-${idNum}`);
  }, [type]);

  return [id, mountAd];
};
