import { useState, useEffect } from 'react';

export default ({ observed, mountAd }) => {
  const [isMounted, setIsMounted] = useState(false);

  useEffect(() => {
    if (observed) {
      const waiting = setInterval(() => {
        const success = mountAd();
        if (success) {
          setIsMounted(true);
          clearInterval(waiting);
        }
      }, 2000);

      return () => {
        clearInterval(waiting);
      };
    }
  }, [observed, mountAd]);

  return isMounted;
};
