import classnames from 'classnames';
import useWidont from '../common/hooks/useWidont';
import { H3 } from '../Typography';

import stylesheet from './styles.module.scss';

const Dek = (props) => {
  const { children, classes } = props;
  const {
    root: rootClass,
  } = classes;

  const text = useWidont(children);

  return (
    <div className={classnames('PibDek-root', 'dek', rootClass)}>
      <H3 classes={classes} lighter>{text}</H3>
      <style jsx>{stylesheet}</style>
    </div>
  );
};

Dek.defaultProps = {
  classes: {},
};

export default Dek;
