import classnames from 'classnames';
import stylesheet from './styles.module.scss';

const Footer = (props) => {
  const { classes } = props;
  const {
    root: rootClass,
    linksContainer: linksContainerClass,
    link: linkClass,
    legal: legalClass,
  } = classes;

  return (
    <footer className={classnames('PibFooter-root', 'footer', rootClass)}>
      <div id='sitemap' tabIndex='-1' />
      <nav className={classnames('PibFooter-links-container', 'footer__group', 'footer__group--links', linksContainerClass)}>
        <ul>
          <li>
            <a className={classnames('PibFooter-link', linkClass)} href='https://www.politico.com/about/'>About Us</a>
          </li>
          <li>
            <a className={classnames('PibFooter-link', linkClass)} href='https://www.politico.com/about/advertising'>Advertising</a>
          </li>
          <li>
            <a className={classnames('PibFooter-link', linkClass)} href='http://www.politico.com/subscribe/breaking-news-alerts'>Breaking News Alerts</a>
          </li>
          <li>
            <a className={classnames('PibFooter-link', linkClass)} href='https://www.politico.com/careers'>Careers</a>
          </li>
          <li>
            <a className={classnames('PibFooter-link', linkClass)} href='https://secure.politico.com/payment'>Credit Card Payments</a>
          </li>
          <li>
            <a className={classnames('PibFooter-link', linkClass)} href='http://edition.pagesuite-professional.co.uk/Launch.aspx?bypass=true&PBID=74262970-aa07-44b3-80c8-21fa8a8ac376'>Digital Edition</a>
          </li>
          <li>
            <a className={classnames('PibFooter-link', linkClass)} href='https://www.politico.com/faq'>FAQ</a>
          </li>
          <li>
            <a className={classnames('PibFooter-link', linkClass)} href='https://www.politico.com/feedback'>Feedback</a>
          </li>
          <li>
            <a className={classnames('PibFooter-link', linkClass)} href='https://www.politico.com/politics'>Headlines</a>
          </li>
          <li>
            <a className={classnames('PibFooter-link', linkClass)} href='https://www.politico.com/gallery'>Photos</a>
          </li>
          <li>
            <a className={classnames('PibFooter-link', linkClass)} href='http://www.powerjobs.com/'>POWERJobs</a>
          </li>
          <li>
            <a className={classnames('PibFooter-link', linkClass)} href='http://www.politico.com/about/press/blog'>Press</a>
          </li>
          <li>
            <a className={classnames('PibFooter-link', linkClass)} href='http://www.politico.com/subscriptions'>Print Subscriptions</a>
          </li>
          <li>
            <a className={classnames('PibFooter-link', linkClass)} href='https://www.politico.com/rss'>RSS</a>
          </li>
          <li>
            <a className={classnames('PibFooter-link', linkClass)} href='https://www.politico.com/sitemap'>Site Map</a>
          </li>
        </ul>
        <ul>
          <li>
            <a className={classnames('PibFooter-link', linkClass)} href='https://www.politico.com/terms-of-service'>Terms of Service</a>
          </li>
          <li>
            <a className={classnames('PibFooter-link', linkClass)} href='https://www.politico.com/privacy-policy'>Privacy Policy</a>
          </li>
        </ul>
      </nav>
      <nav className={classnames('PibFooter-legal', 'footer__group', 'footer__group--legal', legalClass)}>
        <p>© 2020 POLITICO LLC</p>
      </nav>
      <div className='clear' />
      <style jsx>{stylesheet}</style>
    </footer>
  );
};

Footer.defaultProps = {
  classes: {},
};

export default Footer;
