import { Fragment, useMemo } from 'react';
import classnames from 'classnames';

import stylesheet from '../styles.module.scss';

export default (authors, classes) => {
  const output = authors.slice();
  const lastAuthor = output.pop();
  const secondToLastAuthor = output.pop();

  const {
    authorLink: linkClass,
    authorName: nameClass,
  } = classes;

  return useMemo(() => {
    return (
      <Fragment>
        {output.map((author, i) =>
          <Fragment key={i}>
            <a
              className={classnames('PibInfo-author-link', linkClass)}
              href={author.link}>
              <span
                className={classnames('PibInfo-author-name', nameClass)}
                dangerouslySetInnerHTML={{ __html: author.name }}
              />
            </a>,&nbsp;
          </Fragment>
        )}

        {secondToLastAuthor &&
        <Fragment>
          <a
            className={classnames('PibInfo-author-link', linkClass)}
            href={secondToLastAuthor.link}>
            <span
              className={classnames('PibInfo-author-name', nameClass)}
              dangerouslySetInnerHTML={{ __html: secondToLastAuthor.name }}
            />
          </a>
          &nbsp;and&nbsp;
        </Fragment>
        }

        <a
          className={classnames('PibInfo-author-link', linkClass)}
          href={lastAuthor.link}>
          <span
            className={classnames('PibInfo-author-name', nameClass)}
            dangerouslySetInnerHTML={{ __html: lastAuthor.name }}
          />
        </a>
        <style jsx>{stylesheet}</style>
      </Fragment>
    );
  },
  [authors]
  );
};
