/**
 * As adapted from journalize by Ryan Murphy
 * https://github.com/rdmurphy/journalize/blob/master/src/widont.js
 */

import { useMemo } from 'react';

const isNil = (value) => {
  return value == null;
};

const widontRegex = new RegExp(/\s+([^\s]*)\s*$/);

const nbsp = '\xA0';

function widont(val, replaceChar = nbsp) {
  // if `val` is undefined or null, return an empty string
  if (isNil(val)) return '';

  // coerce value to a String
  const str = String(val);

  return str.replace(widontRegex, `${replaceChar}$1`);
}

export default function useWidont(text) {
  return useMemo(() => {
    if (typeof text === 'string') {
      return widont(text);
    } else {
      return text;
    }
  }, [text]);
}
